/*
 * VMCommsInterface.java
 *
 * Created on August 13, 2000, 9:03 AM
 */
 
package project.manager;
import fipaos.ont.fipa.fipaman.AgentID;
import fipaos.agent.conversation.content.Content;
import java.net.URL;
import java.net.InetAddress;
import java.util.Vector;
import java.rmi.*;
/** 
 *
 * @author  alastair
 * @version 
 */
public interface VMCommsInterface extends Remote
{  
	/**
	* Create an agent which is constructed from the platform profile and the aid
	*/
	public void createAgent( String class_name, Object[] parameters) throws RemoteException ;
	/**
	* destroy the agent 
	*/
	public void destroyAgent(  String name ) throws RemoteException ;

	/**
	* ask the agent to shut itself down
	*/
	public void shutdownagent(  String name ) throws RemoteException ;
	
	/**
	* set the current state of the agent called after creating of the agent if state of the agentneeds to be set
	* This is used when the agent has mooved from a different location and needs to the same state it had before the move
	*/
	//public void setState( String name, Content state) throws RemoteException;

	/**
	* Suspend the agent
	 */
	public void suspend(  String name ) throws RemoteException ;

	/**
	* allow the agent to resume after being suspended
	*/
	public void resume(  String name ) throws RemoteException ;
		
	
	
}
