<?xml version="1.0"?>

<rdf:RDF	xml:lang="en"
		xmlns="http://www.nortelnetworks.com/fipa-os/schemas/profile#"
		xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
		xmlns:ap="http://www.nortelnetworks.com/fipa-os/schemas/Objects#">


	<!-- Agents Bag object -->
	<ap:AgentsBag rdf:about="agents">
		
		
		<ap:agents_li rdf:resource="ams"/> 
		<ap:agents_li rdf:resource="df"/> 
		 
		<ap:agents_li rdf:resource="iotestagent"/>
		<ap:agents_li rdf:resource="ping"/>
		<ap:agents_li rdf:resource="ping2"/>
		<ap:agents_li rdf:resource="ping3"/>
		<ap:agents_li rdf:resource="ping4"/>
			
	</ap:AgentsBag>
	

	
	<!-- Agents object -->
	<ap:Agent rdf:about="ams">
		<ap:class>fipaos.platform.AgentManagementSystem</ap:class>
		<ap:agent_name>ams</ap:agent_name>
		<ap:owner>fipaos</ap:owner>
		<ap:start>true</ap:start>
		<!--use platformVM for the platform Agents-->
		<ap:host>platformVM</ap:host>
	</ap:Agent>

	<!-- Agents object -->
	<ap:Agent rdf:about="df">
		<ap:class>fipaos.platform.DirectoryFacilitator</ap:class>
		<ap:agent_name>df</ap:agent_name>
		<ap:owner>fipaos</ap:owner>
		<ap:start>true</ap:start>
		<!--use platformVM for the platform Agents-->
		<ap:host>platformVM</ap:host>
	</ap:Agent> 


	<!-- Agents object -->
	<ap:Agent rdf:about="ping">
		<ap:class>fipaos.tutorial.PingAgent</ap:class>
		<ap:agent_name>ping-agent</ap:agent_name>
		<ap:owner>fipaos</ap:owner>
		<ap:start>false</ap:start>
		<!-- hostname:portnumber for remote hosts-->
		<!-- the hostname needs to be resolvable so if its not on the local network-->
		<!-- use the fully qualified domain name -->
		<!-- ensure that it is reflected in the script for registering the VM (VMplatform or Register VM)-->
		<!-- as this is used in the registered name of the remote stub -->
		<ap:host>wolfman:3000</ap:host>
	</ap:Agent> 

	<!-- Agents object -->
	<ap:Agent rdf:about="ping2">
		<ap:class>fipaos.tutorial.PingAgent</ap:class>
		<ap:agent_name>ping-agent2</ap:agent_name>
		<ap:owner>fipaos</ap:owner>
		<ap:start>false</ap:start>
		<!-- hostname:portnumber for remote hosts-->
		<!-- the hostname needs to be resolvable so if its not on the local network-->
		<!-- use the fully qualified domain name -->
		<!-- ensure that it is reflected in the script for registering the VM (VMplatform or Register VM)-->
		<!-- as this is used in the registered name of the remote stub -->
		<ap:host>wolfman:3000</ap:host>
	</ap:Agent> 

	<!-- Agents object -->
		<ap:Agent rdf:about="ping3">
		<ap:class>fipaos.tutorial.PingAgent</ap:class>
		<ap:agent_name>ping-agent3</ap:agent_name>
		<ap:owner>fipaos</ap:owner>
		<ap:start>false</ap:start>
		<!-- hostname:portnumber for remote hosts-->
		<!-- the hostname needs to be resolvable so if its not on the local network-->
		<!-- use the fully qualified domain name -->
		<!-- ensure that it is reflected in the script for registering the VM (VMplatform or Register VM)-->
		<!-- as this is used in the registered name of the remote stub -->
		<ap:host>wolfman:3000</ap:host>
	</ap:Agent> 

	<!-- Agents object -->
	<ap:Agent rdf:about="ping4">
		<ap:class>fipaos.tutorial.PingAgent</ap:class>
		<ap:agent_name>ping-agent4</ap:agent_name>
		<ap:owner>fipaos</ap:owner>
		<ap:start>false</ap:start>
		<!-- hostname:portnumber for remote hosts-->
		<!-- the hostname needs to be resolvable so if its not on the local network-->
		<!-- use the fully qualified domain name -->
		<!-- ensure that it is reflected in the script for registering the VM (VMplatform or Register VM)-->
		<!-- as this is used in the registered name of the remote stub -->
		<ap:host>wolfman:3000</ap:host>
	</ap:Agent> 

	<!-- Agents object -->
	<ap:Agent rdf:about="iotestagent">
		<ap:class>fipaos.tool.IOTestAgent</ap:class>
		<ap:agent_name>iotestagent</ap:agent_name>
		<ap:owner>fipaos</ap:owner>
		<ap:start>false</ap:start>
		<!-- hostname:portnumber for remote hosts-->
		<!-- the hostname needs to be resolvable so if its not on the local network-->
		<!-- use the fully qualified domain name -->
		<!-- ensure that it is reflected in the script for registering the VM (VMplatform or Register VM)-->
		<!-- as this is used in the registered name of the remote stub -->
		<ap:host>platformVM</ap:host>
	</ap:Agent>
	
	
</rdf:RDF>
